
//
// This is example code from Chapter 18.3 "Essential operations" of
// "Programming -- Principles and Practice Using C++" by Bjarne Stroustrup
//

///#include "..\std_lib_facilities.h"
#include<vector>
#include<iostream>
using namespace  std;
//------------------------------------------------------------------------------
vector<int> fill(istream& is)
{
    vector<int> res;
    for (int x; is>>x; ) res.push_back(x);
    return res;
}

vector<int> use()
{
    vector<int> vec = fill(cin);
    return vec;
// ... use vec ...
}
int main()
{
    vector<int> vi;
    vi = use();
    cout << vi[0];

    /**string s("Triumph");           // initialize s to the character string "Triumph"
    vector<double> v(10);          // make v a vector of 10 doubles

    vector<double> vi(10);         // vector of 10 doubles, each initialized to 0.0
    vector<string> vs(10);         // vector of 10 strings, each initialized to ""
    vector<vector< int> > vvi(10); // vector of 10 vectors, each initialized to vector()**/
}

//------------------------------------------------------------------------------
